Upstream information

CVE-2018-5179 at MITRE

Description

A service worker can send the activate event on itself periodically which allows it to run perpetually, allowing it to monitor activity by users. Affects all versions prior to Firefox 60.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entries: 1112111 [RESOLVED / FIXED], 1119105 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
HPE-Helion-OpenStack-8-2019-2872
SUSE Enterprise Storage 4
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-Storage-4-2019-2872
SUSE Enterprise Storage 5
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-Storage-5-2019-2872
SUSE Linux Enterprise Desktop 12 SP4
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2872
SUSE-SLE-SDK-12-SP4-2019-2872
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-2872
SUSE Linux Enterprise Server 12 SP1-LTSS
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2872
SUSE Linux Enterprise Server 12 SP2-BCL
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2872
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2872
SUSE Linux Enterprise Server 12 SP2-LTSS
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2872
SUSE Linux Enterprise Server 12 SP3-BCL
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2872
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2872
SUSE Linux Enterprise Server 12 SP3-LTSS
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2872
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2872
SUSE-SLE-SERVER-12-SP4-2019-2872
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-2872
SUSE-SLE-SERVER-12-SP5-2019-2872
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-2872
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-2872
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-2872
SUSE Linux Enterprise Software Development Kit 12 SP4
  • MozillaFirefox-devel >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2872
SUSE Linux Enterprise Software Development Kit 12 SP5
  • MozillaFirefox-devel >= 68.2.0-109.95.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-2872
SUSE OpenStack Cloud 7
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-devel >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2872
SUSE OpenStack Cloud 8
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2872
SUSE OpenStack Cloud Crowbar 8
  • MozillaFirefox >= 68.2.0-109.95.2
  • MozillaFirefox-translations-common >= 68.2.0-109.95.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2872
SUSE Package Hub 12 SP2
  • chromedriver >= 70.0.3538.102-74.1
  • chromium >= 70.0.3538.102-74.1
Patchnames:
openSUSE-2018-1436
SUSE Package Hub 15
  • chromedriver >= 70.0.3538.67-bp150.2.14.1
  • chromium >= 70.0.3538.67-bp150.2.14.1
Patchnames:
openSUSE-2019-712
openSUSE Leap 15.0
  • chromedriver >= 70.0.3538.67-lp150.2.20.1
  • chromium >= 70.0.3538.67-lp150.2.20.1
Patchnames:
openSUSE-2019-712
openSUSE Leap 15.2
  • chromium >= 83.0.4103.97-lp152.1.1
Patchnames:
openSUSE Leap 15.2 GA chromium-83.0.4103.97-lp152.1.1
openSUSE Leap 15.3
  • chromium >= 90.0.4430.212-bp153.1.1
Patchnames:
openSUSE Leap 15.3 GA chromium-90.0.4430.212-bp153.1.1
openSUSE Leap 15.4
  • chromium >= 101.0.4951.64-bp154.1.2
Patchnames:
openSUSE Leap 15.4 GA chromium-101.0.4951.64-bp154.1.2
openSUSE Tumbleweed
  • chromedriver >= 93.0.4577.82-1.1
  • chromium >= 93.0.4577.82-1.1
Patchnames:
openSUSE Tumbleweed GA chromedriver-93.0.4577.82-1.1